> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /notebookcheck/devices/search

> Search laptops, phones, tablets and other devices by hardware, measured display and noise values, review scores, price, size and age

**Price:** 10 credits



## OpenAPI

````yaml /openapi/hardware-benchmarks.json post /api/notebookcheck/devices/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/notebookcheck/devices/search:
    post:
      tags:
        - /notebookcheck
      summary: /notebookcheck/devices/search
      description: >-
        Search laptops, phones, tablets and other devices by hardware, measured
        display and noise values, review scores, price, size and age


        **Price:** 10 credits
      operationId: __api_notebookcheck_devices_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotebookcheckDeviceSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NotebookcheckDeviceListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NotebookcheckDeviceSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        manufacturer:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        model:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        device_class:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckDeviceClass'
            - type: 'null'
        tag:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        cpu_vendor:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckCpuVendor'
            - type: 'null'
        exclude_cpu_vendor:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckCpuVendor'
            - type: 'null'
        cpu_model:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        min_cpu_cores:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        gpu_vendor:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckGpuVendor'
            - type: 'null'
        gpu_architecture:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        gpu_class:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckGpuClass'
            - type: 'null'
        gpu_class_or_better:
          type: boolean
          default: false
        screen_inch_bucket:
          anyOf:
            - type: integer
              maximum: 20
              minimum: 2
            - type: 'null'
        min_screen_inch:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_screen_inch:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        screen_ratio:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        min_resolution_width:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        min_resolution_height:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        resolution_or_better:
          type: boolean
          default: false
        screen_finish:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckScreenFinish'
            - type: 'null'
        screen_panel:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        screen_panel_type:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        min_refresh_rate_hz:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        touchscreen:
          type: boolean
          default: false
        pen_support:
          type: boolean
          default: false
        detachable_screen:
          type: boolean
          default: false
        adaptive_sync:
          type: boolean
          default: false
        min_rating:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_review_count:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        min_rating_workmanship:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_rating_display:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_rating_emissions:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_rating_ergonomy:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_rating_performance:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_rating_mobility:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_rating_temperature:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_rating_audio:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        min_rating_camera:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
        review_source:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckReviewSource'
            - type: 'null'
        max_age_months:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        min_age_months:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        model_year_from:
          anyOf:
            - type: integer
              maximum: 2100
              minimum: 1990
            - type: 'null'
        model_year_till:
          anyOf:
            - type: integer
              maximum: 2100
              minimum: 1990
            - type: 'null'
        max_weight_kg:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_width_mm:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_length_mm:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_depth_mm:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_price:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        min_price:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        min_ram_gb:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        min_storage_gb:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        storage_type:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckStorageType'
            - type: 'null'
        optical_drive:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckOpticalDrive'
            - type: 'null'
        lan:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckLanType'
            - type: 'null'
        wlan:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckWlanType'
            - type: 'null'
        operating_system:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckOperatingSystem'
            - type: 'null'
        ruggedized:
          type: boolean
          default: false
        fanless:
          type: boolean
          default: false
        nfc:
          type: boolean
          default: false
        lte:
          type: boolean
          default: false
        gps:
          type: boolean
          default: false
        brightness_sensor:
          type: boolean
          default: false
        keyboard_light:
          type: boolean
          default: false
        displayport:
          type: boolean
          default: false
        thunderbolt:
          type: boolean
          default: false
        hdmi:
          type: boolean
          default: false
        vga:
          type: boolean
          default: false
        cardreader:
          type: boolean
          default: false
        removable_battery:
          type: boolean
          default: false
        min_battery_wh:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        min_battery_mah:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        min_battery_wlan_minutes:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        min_brightness_nits:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_colorchecker_delta_e:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        min_srgb_coverage:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        min_adobergb_coverage:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        min_pwm_hz:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_noise_idle_db:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_noise_gaming_db:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        max_noise_load_db:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
        include_archived:
          type: boolean
          default: false
        sort_by:
          $ref: '#/components/schemas/NotebookcheckDeviceSort'
          default: date_desc
        count:
          type: integer
          maximum: 500
          minimum: 1
      type: object
      required:
        - count
    NotebookcheckDeviceListing:
      properties:
        '@type':
          type: string
          default: NotebookcheckDeviceListing
        id:
          type: string
        url:
          type: string
        page_title:
          type: string
        page_kind:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        review_date:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        cpu:
          anyOf:
            - type: string
            - type: 'null'
        gpu:
          anyOf:
            - type: string
            - type: 'null'
        screen_inch:
          anyOf:
            - type: number
            - type: 'null'
        screen_resolution:
          anyOf:
            - type: string
            - type: 'null'
        weight_kg:
          anyOf:
            - type: number
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
        - page_title
        - page_kind
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NotebookcheckDeviceClass:
      type: string
      enum:
        - laptop
        - convertible
        - desktop
        - display
        - gaming
        - handheld
        - mini_pc
        - multimedia
        - office
        - smartphone
        - smartwatch
        - subnotebook
        - tablet
        - workstation
    NotebookcheckCpuVendor:
      type: string
      enum:
        - amd
        - apple
        - intel
        - mediatek
        - qualcomm
        - samsung
        - unisoc
    NotebookcheckGpuVendor:
      type: string
      enum:
        - amd
        - intel
        - nvidia
    NotebookcheckGpuClass:
      type: string
      enum:
        - high_end
        - mid_range
        - low_midrange
        - low_end
        - office
        - not_for_games
    NotebookcheckScreenFinish:
      type: string
      enum:
        - unknown
        - glossy
        - matte
    NotebookcheckReviewSource:
      type: string
      enum:
        - notebookcheck
        - external
    NotebookcheckStorageType:
      type: string
      enum:
        - hdd
        - ssd
        - hybrid
        - emmc
        - nvme_smartphone
        - ufs_2_0
        - ufs_2_1
        - ufs_2_2
        - ufs_3_0
        - ufs_3_1_or_4
    NotebookcheckOpticalDrive:
      type: string
      enum:
        - present
        - absent
    NotebookcheckLanType:
      type: string
      enum:
        - any
        - gigabit
        - multi_gigabit_2_5
        - multi_gigabit_5
        - multi_gigabit_10
    NotebookcheckWlanType:
      type: string
      enum:
        - any
        - wifi_4
        - wifi_5
        - wifi_6
    NotebookcheckOperatingSystem:
      type: string
      enum:
        - windows
        - mac_os
        - linux
        - dos
        - chrome_os
        - android
        - ios
        - windows_phone
        - windows_rt
        - blackberry
    NotebookcheckDeviceSort:
      type: string
      enum:
        - date_desc
        - date_asc
        - rating
        - rating_display
        - rating_camera
        - rating_application_performance
        - rating_game_performance
        - rating_battery
        - name
        - gpu_performance
        - cpu_performance
        - price
        - weight
        - screen_size
        - volume
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````